<h1>WPSSO User Locale Selector</h1>

<table>
<tr><th align="right" valign="top" nowrap>Plugin Name</th><td>WPSSO User Locale Selector</td></tr>
<tr><th align="right" valign="top" nowrap>Summary</th><td>Quick and easy locale / language / region selector for the WordPress admin toolbar.</td></tr>
<tr><th align="right" valign="top" nowrap>Stable Version</th><td>3.0.1</td></tr>
<tr><th align="right" valign="top" nowrap>Requires PHP</th><td>5.6 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Requires WordPress</th><td>4.7 or newer</td></tr>
<tr><th align="right" valign="top" nowrap>Tested Up To WordPress</th><td>5.6</td></tr>
<tr><th align="right" valign="top" nowrap>Contributors</th><td>jsmoriss</td></tr>
<tr><th align="right" valign="top" nowrap>License</th><td><a href="https://www.gnu.org/licenses/gpl.txt">GPLv3</a></td></tr>
<tr><th align="right" valign="top" nowrap>Tags / Keywords</th><td>user locale, user language, user region, locale, language, region, select, toolbar, menu, polylang</td></tr>
</table>

<h2>Description</h2>

<p style="margin:0;"><img class="readme-icon" src="https://surniaulula.github.io/wpsso-user-locale/assets/icon-256x256.png"></p>

<p><strong>Provides a convenient locale / language / region selector in the WordPress admin toolbar.</strong></p>

<p><strong>Perfect for translators or anyone that needs to switch languages quickly and easily:</strong></p>

<p>Allows logged-in users to change their preferred locale / language / region setting right from the toolbar menu, instead of having to modify their user profile settings.</p>

<p>The default behavior of WordPress is to apply the user locale preference <em>only</em> to the admin back-end &mdash; this plugin can extend the user setting preference to the front-end webpage as well.</p>

<p>The front-end locale selector is optional, and can be enabled / disabled in the SSO &gt; User Locale settings page.</p>

<h3>Do you use the Polylang plugin?</h3>

<p>If the Polylang plugin is detected, the locale selector will automatically use the correct Polylang language URLs.</p>

<h3>Users Love the WPSSO UL Add-on</h3>

<p>&#x2605;&#x2605;&#x2605;&#x2605;&#x2605; &mdash; "Practical and Fast - Works as advertised. Very easy to use." - <a href="https://wordpress.org/support/topic/practical-and-fast/">grouper</a></p>

<h3>WPSSO Core Plugin Required</h3>

<p>WPSSO User Locale Selector (aka WPSSO UL) is an add-on for the <a href="https://wordpress.org/plugins/wpsso/">WPSSO Core plugin</a>.</p>

<p>WPSSO Core and its add-ons make sure your content looks great on social sites and in search results, no matter how your URLs are crawled, shared, re-shared, posted, or embedded.</p>


<h2>Installation</h2>

<h3 class="top">Install and Uninstall</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-user-locale/installation/install-the-plugin/">Install the WPSSO User Locale Selector add-on</a>.</li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-user-locale/installation/uninstall-the-plugin/">Uninstall the WPSSO User Locale Selector add-on</a>.</li>
</ul>


<h2>Frequently Asked Questions</h2>

<h3 class="top">Frequently Asked Questions</h3>

<ul>
<li>None.</li>
</ul>

<h3>Notes and Documentation</h3>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-user-locale/notes/developer/">Developer Resources</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-user-locale/notes/developer/filters/">Filters</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-user-locale/notes/developer/filters/examples/">Filter Examples</a>

<ul>
<li><a href="https://wpsso.com/docs/plugins/wpsso-user-locale/notes/developer/filters/examples/disable-user-locale-on-front-end/">Disable User Locale on Front-End</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-user-locale/notes/developer/filters/examples/modify-the-menu-title/">Modify the Menu Title</a></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-user-locale/notes/developer/filters/examples/modify-the-redirect-url/">Modify the Redirect URL</a></li>
</ul></li>
<li><a href="https://wpsso.com/docs/plugins/wpsso-user-locale/notes/developer/filters/by-name/">Filters by Name</a></li>
</ul></li>
</ul></li>
</ul>


